Subject: Re: fvwm-themes 0.4.2 problems

From: Dominik Vogt <[email-masked]>
Date: Tue, 27 Feb 2001 20:21:53 +0100

On Tue, Feb 27, 2001 at 12:02:12PM -0600, Mikhael Goikhman wrote:
> On 27 Feb 2001 19:47:58 +0100, Dominik Vogt wrote:
> > 
> > > > Now, for some reason the FvwmScript window is never created and
> > > > fvwm hangs in the Wait line.  I don't see any error messages, so I
> > > > have no idea why the script fails.
> > > 
> > > What happens if you execute "FvwmScript FvwmScript-NoteMessage Something"?
> > 
> > Nothing. No error message, no window pops up.
> 
> The last hope, please try this from FvwmConsole:
> 
>   /usr/local/libexec/fvwm/2.3.29/FvwmScript /usr/local/share/fvwm/FvwmScript-NoteMessage Something

FvwmScript leaves a core dump:

  #0  0x400b3200 in XmbTextEscapement () from /usr/X11R6/lib/libX11.so.6
  #1  0x8057ddf in DrawIconStr (offset=0, xobj=0x8092dd0, DoRedraw=0)
      at Tools.c:228
  #2  0x805b53a in DrawItemDraw (xobj=0x8092dd0) at ItemDraw.c:127
  #3  0x805082f in ChangeTitle (NbArg=2, TabArg=0x80912f0) at Instructions.c:938
  #4  0x804bb52 in ExecBloc (bloc=0x8091280) at FvwmScript.c:442
  #5  0x804c654 in BuildGUI (IsFather=1) at FvwmScript.c:575
  #6  0x804db9e in main (argc=8, argv=0xbffff58c) at FvwmScript.c:1020
  #7  0x40183baf in __libc_start_main () from /lib/libc.so.6

Note that I configured with --enable-multibyte.  I don't
understand the code where it crashes.  XTextWidth is a macro
that calls XmbTextEscapement.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]